package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItempoolSkuQueryRequest struct {
	/*
	   请求入参     */
	Param0 *domain.AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest `json:"param0" required:"true" `
}

func (s *AlibabaRetailMarketingItempoolSkuQueryRequest) SetParam0(v domain.AlibabaRetailMarketingItempoolSkuQueryItemPoolActivitySkuQueryRequest) *AlibabaRetailMarketingItempoolSkuQueryRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaRetailMarketingItempoolSkuQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItempoolSkuQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
